[Tizen-submit] 20907: Changes to Tizen:IVI/gst-plugins-good

noreply at tizen.org noreply at tizen.org
Sat Feb 8 08:21:24 GMT 2014


Hi,
Yan Yin have made the following changes to gst-plugins-good in project Tizen:IVI. Please review and accept ASAP.

Thank You,

[This message was auto-generated]

---

Request: #20907

  submit:       Tizen:IVI:build/gst-plugins-good(cleanup) -> Tizen:IVI


Message:
Submitter: Yan Yin <yan.yin at intel.com>
Comments: packaging: handle X dependencies as option
Git project: platform/upstream/gst-plugins-good
Tag: submit/tizen/20140208.082430
Commit: b52a54c047a8a2ed292532c1cee40ad924f51be2 packaging: handle X dependencies as option

State:   new        2014-02-08T08:23:15 tizenrobot
Comment: <no comment>
changes files:
--------------
--- gst-plugins-good.changes
+++ gst-plugins-good.changes
@@ -0,0 +1,5 @@
+* Tue Aug 13 2013 Philippe Coval <philippe.coval at eurogiciel.fr> submit/tizen/20130812.031142 at 2fbbbf0
+- packaging: adding libv4l2
+  Bug-Tizen: TZPC-3648 (gst is not built with v4l support)
+- pngdec: Implement parsing functionality
+

spec files:
-----------
--- gst-plugins-good.spec
+++ gst-plugins-good.spec
@@ -1,7 +1,9 @@
+%bcond_with x
+
 Name:           gst-plugins-good
+VCS:            platform/upstream/gst-plugins-good#b52a54c047a8a2ed292532c1cee40ad924f51be2
 Version:        1.0.7
 Release:        0
-VCS:            platform/upstream/gst-plugins-good#accepted/tizen/20130912.100508-0-g2fbbbf0d048ed384a340de3512d32d890090b7e2
 License:        LGPL-2.1+
 %define gst_branch 1.0
 Summary:        GStreamer Streaming-Media Framework Plug-Ins
@@ -28,19 +30,22 @@
 BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= 2.8.0
 BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0) >= 1.0.2
 BuildRequires:  pkgconfig(gudev-1.0) >= 143
-BuildRequires:  pkgconfig(ice)
 BuildRequires:  pkgconfig(libpng) >= 1.2
 BuildRequires:  pkgconfig(libpulse) >= 1.0
 BuildRequires:  pkgconfig(libsoup-2.4)
 BuildRequires:  pkgconfig(libxml-2.0) >= 2.4.9
-BuildRequires:  pkgconfig(sm)
 BuildRequires:  pkgconfig(speex) >= 1.1.6
 BuildRequires:  pkgconfig(vpx) >= 1.1.0
+# TODO find where process.h comes from, not kernel-devel and not wxWidgets so far.
+%if %{with x}
+BuildRequires:  pkgconfig(ice)
+BuildRequires:  pkgconfig(sm)
 BuildRequires:  pkgconfig(xdamage)
 BuildRequires:  pkgconfig(xfixes)
 # used by libgstvideo4linux2.so
 BuildRequires:  pkgconfig(xv)
-# TODO find where process.h comes from, not kernel-devel and not wxWidgets so far.
+%endif
+
 BuildRequires:  pkgconfig(zlib)
 BuildRequires:  pkgconfig(libv4l2)
 Requires:       gst-plugins-base >= 1.0.0
@@ -158,7 +163,9 @@
 %{_libdir}/gstreamer-%{gst_branch}/libgstvideomixer.so
 %{_libdir}/gstreamer-%{gst_branch}/libgstwavenc.so
 %{_libdir}/gstreamer-%{gst_branch}/libgstwavparse.so
+%if %{with x}
 %{_libdir}/gstreamer-%{gst_branch}/libgstximagesrc.so
+%endif
 %{_libdir}/gstreamer-%{gst_branch}/libgsty4menc.so
 %{_libdir}/gstreamer-%{gst_branch}/libgstcairo.so
 %{_libdir}/gstreamer-%{gst_branch}/libgstsouphttpsrc.so

other changes:
--------------


More information about the Tizen-submit mailing list